

export const AxisBottom = ( {xScale, innerHeight, tickFormat, tickOffset = 5} ) => 
  xScale.ticks().map((tickValue) => (
    <g className ="tick" key={tickValue} transform={`translate(${xScale(tickValue)},0)`} >
      <line y2={innerHeight}  />
      <text style={{ textAnchor: 'middle', fontSize: '15px' }} dy=".71em" y={innerHeight + tickOffset} >
        {tickFormat(tickValue)}
      </text>
    </g>
  ));